%global debug_package %{nil}

Name:           mpb
Version:        1.11.1
Release:        4%{?dist}
Summary:        A package for computing electromagnetic band structures and modes

License:        GPL-2.0-or-later
URL:            https://github.com/NanoComp/mpb
Source0:        %{url}/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  fftw-devel
BuildRequires:  blas-devel
BuildRequires:  lapack-devel
BuildRequires:  hdf5-devel
BuildRequires:  guile-devel
BuildRequires:  libctl-devel

%description
MPB is a software package to compute definite-frequency eigenstates of 
Maxwell's equations. It can compute optical dispersion relations and 
eigenstates for structures such as strip waveguides and optical fibers. 
MPB is well suited for the study of photonic crystals: periodic 
dielectric structures exhibiting a band gap in their optical modes, 
prohibiting propagation of light in that frequency range. MPB can also 
be used to compute modes of strip and rib waveguides used in photonic 
integrated circuits as well as slab waveguide structures (known as 
"light guides") used in near-eye displays.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup

%build
%configure CFLAGS="-fpermissive -fPIE" --enable-shared
%make_build

%install
%make_install

%files
%license COPYING
%doc AUTHORS README.md NEWS.md
%{_bindir}/mpb
%{_bindir}/mpb-split
%{_bindir}/mpb-data
%{_mandir}/man1/
%{_datadir}/mpb/
%{_libdir}/libmpb.so.1.4.1
%{_libdir}/libmpb.so.1

%files devel
%{_includedir}/mpb.h
%{_includedir}/mpb/
%{_libdir}/libmpb.a
%{_libdir}/libmpb.so

%changelog
%autochangelog
